dnl	This file is an input file used by the GNU "autoconf" program to
dnl	generate the file "configure", which is run during STk installation
dnl	to configure the system for the local environment.

AC_INIT(blt.c)
AC_HAVE_HEADERS(unistd.h)
AC_HAVE_LIBRARY(Xbsd, [LIBS="$LIBS -lXbsd"])
AC_HAVE_LIBRARY(socket, [LIBS="$LIBS -lsocket"])
AC_HAVE_LIBRARY(nsl, [LIBS="$LIBS -lnsl"])
AC_HAVE_LIBRARY(dl, [LIBS="$LIBS -ldl"])
AC_HAVE_LIBRARY(ldl, [LIBS="$LIBS -lldl"])

STKDIR=..
AC_WITH(STKDIR, STKDIR=$withval)
AC_SUBST(STKDIR, STKDIR)

AC_OUTPUT(Makefile)

dnl
dnl
dnl 


BLT=./blt-1.7

dnl 	Now patch the original source
if test -f $BLT/src/bltDragDrop.c.orig
then
   mv $BLT/src/bltDragDrop.c.orig $BLT/src/bltDragDrop.c
fi
patch < BLT-patch

dnl	And configure the original package
(cd $BLT; configure)

